运行Zen Cart的服务器要求

Zen Cart说明文件,安装指南和使用手册等等。可以回复,不能发新贴。

版主: Jack

版面规则
新手必读栏目。本版面不能发新贴,可以回复

运行Zen Cart的服务器要求

帖子Jack » 2006-10-11 5:53

最低/建议服务器配置:PHP 4.1.x 或以上版本 (PHP 4.3.x 以上性能最佳),Apache 1.3.x 和 MySQL 3.2.x 或以上版本。Register_Globals 可以设为on或者off, safe_mode 建议值为off.

提示: 运行php v4.1.2的服务器有些已知问题,多数问题都有解决方案。

提示: 很多支付模块和付款模块要求PHP安装/编译了CRUL软件包。

提示:可能需要HTTPS支持,这取决于使用的支付模块。建议在新建帐号和结帐时使用SSL。
头像
Jack
论坛版主
论坛版主
 
帖子: 12265
注册: 2004-12-16 10:04

Re: 运行Zen Cart的服务器要求

帖子RCTech » 2008-07-22 8:06

大家好,我是刚注册的新手,正在安装中文版的zencart,遇到了困难请朋友们帮个忙。

1、我申请的主机是GODADDY,安装过程中提示“CURL需要SSL支持,请联系主机商”,我不知道是不是我的主机商不提供CURL支持?如果强行跳过这一步,会不会在以后的使用过程中遇到麻烦?因为我想使用PAYPAL等系统。
2、数据库设置这一步,我实在不知道“数据库名”,不应该是数据库用户名吧?

先問到这儿,这厢有礼了。 :cry:
这年头俺也学会了俩字:俺信
http://www.rctech4u.com
RCTech
中级会员
中级会员
 
帖子: 61
注册: 2008-07-22 7:50

Re: 运行Zen Cart的服务器要求

帖子Jack » 2008-07-22 8:59

1. "CURL需要SSL支持,请联系主机商",这个错误可以忽略
2. 要先通过主机提供的控制面板,建一个mysql数据库
Zen Cart - 让每个人拥有自己生意的梦想成真
加入Zen Cart地图 | 恕不回复站内短信提问 | QQ: 3171061
头像
Jack
论坛版主
论坛版主
 
帖子: 12265
注册: 2004-12-16 10:04

Re: 运行Zen Cart的服务器要求

帖子RCTech » 2008-07-22 9:20

THANKS JACK!

我已经有了自己的数据库,但就不知道数据库名与数据库用户名有什么区别?
这年头俺也学会了俩字:俺信
http://www.rctech4u.com
RCTech
中级会员
中级会员
 
帖子: 61
注册: 2008-07-22 7:50

Re: 运行Zen Cart的服务器要求

帖子RCTech » 2008-07-22 9:33

过来啦 :mrgreen: 我使用的同一个名字,就是吧主机提供的数据库地址复制了一下,還不知道以后有啥地雷呢,呵呵 :oops:
这年头俺也学会了俩字:俺信
http://www.rctech4u.com
RCTech
中级会员
中级会员
 
帖子: 61
注册: 2008-07-22 7:50

Re: 运行Zen Cart的服务器要求

帖子shenys » 2008-09-26 17:40

我来补充一点:如果要支持多语言而使用UTF8内码的,数据库建议使用4.1.X 以上版本(4.0.X不是和它有点差别),可以避免很多不必要的麻烦。php一般如果是买虚拟主机的php对应的mysql驱动一般不会有什么问题,但是如果是本机测试的话,由于在windows下的PHP4已经内置的mySQL驱动,但是版本过低,对于4.1.X以上支持不好,而且无法修改。所以对于在windows下测试的朋友建议装php5。
shenys
新手上路
新手上路
 
帖子: 10
注册: 2007-04-18 10:12

Re: 运行Zen Cart的服务器要求

帖子骄阳 » 2008-11-20 20:26

"CURL需要SSL支持,请联系主机商", 这点是不是有 ssl证书的空间是能够符合要求的啊?
SEO高手,大家互补也行!replica watches - tiffany jewelry合作亦可~
骄阳
新手上路
新手上路
 
帖子: 19
注册: 2008-11-20 11:43

Re: 运行Zen Cart的服务器要求

帖子Rocky » 2008-12-26 16:45

看来找个付费空间商比较好。免费空间什么都要自己弄,麻烦
Rocky
 
帖子: 2
注册: 2008-12-26 16:30

Re: 运行Zen Cart的服务器要求

帖子reubin » 2009-03-29 23:45

骄阳 写道:"CURL需要SSL支持,请联系主机商", 这点是不是有 ssl证书的空间是能够符合要求的啊?


是的,要申请SSL证书。
reubin
普通会员
普通会员
 
帖子: 20
注册: 2009-03-15 3:49

Re: 运行Zen Cart的服务器要求

帖子reubin » 2009-03-31 1:35

Jack 写道:最低/建议服务器配置:PHP 4.1.x 或以上版本 (PHP 4.3.x 以上性能最佳),Apache 1.3.x 和 MySQL 3.2.x 或以上版本。Register_Globals 可以设为on或者off, safe_mode 建议值为off.

提示: 运行php v4.1.2的服务器有些已知问题,多数问题都有解决方案。

提示: 很多支付模块和付款模块要求PHP安装/编译了CRUL软件包。

提示:可能需要HTTPS支持,这取决于使用的支付模块。建议在新建帐号和结帐时使用SSL。


数据库采用什么版本? 5.0可以用吗?
reubin
普通会员
普通会员
 
帖子: 20
注册: 2009-03-15 3:49

下一页

  • 相关话题
    回复总数
    阅读次数
    最新文章

回到 新手上路



在线用户

正在浏览此版面的用户:没有注册用户 和 8 位游客

cron